<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Free-Form Project Properties Dialog Box: Java Sources</title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Free-Form Project Properties Dialog Box: Java Sources</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
<p>The Free-Form Project Properties dialog box enables you to alter the settings
	you entered when you created a 
	<object classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content" value="./glossary_freeform.html">
    <param name="viewerActivator" value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,160">
    <param name="text" value="free-form project">
    <param name="textFontSize" value="medium">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontStyle" value="italic">
    <param name="textFontWeight" value="bold">
    <param name="textColor" value="blue">
  </object>
  .
<p>You open the Free-Form Project Properties dialog box by right-clicking the
	free-form project's node in the Projects window and choosing Properties. 

	
	<p>In the Java Sources panel, you register which source and test package folders
	are included in your project with the IDE. You can also specify  which
	JDK your sources are compiled and run against using the Source/Binary Format combo
	box. You can also add multiple source package folders. Each source package
	folder should be added at the folder that contains the default package. 
        The location of the project folder,
	contents folder, and build script is also displayed.
        
        <p>The Source/Binary Format drop-down list sets which JDK classes will be provided for
            code completion, Javadoc, and debugging. The IDE searches the Java platforms 
            registered in the Java Platform Manager for a platform with a matching version 
            number. If no matching platform is found, the IDE's default platform is used instead.

<p><b>Notes:</b> 
<ul>
  <li>Like all settings in the Free-Form Project Properties dialog box, the Sources 
    page does not change the actual contents of your project as specified in your 
    Ant script. Adding source package folders only configures your project to 
    mirror your Ant script so that features such as code completion, error highlighting, 
    and refactoring work correctly.</li>
</ul>

<p><b>Test Packages Folders</b></p>
<p>You can use this pane to specify the folder that the IDE uses when creating JUnit tests. 
By default, when you create a project the IDE creates a test packages folder called <tt>test</tt> with the label Test Packages.
Use the buttons to the right of the list to remove the selected folder or to specify the folder that the IDE uses when creating tests.
You can also modify the Label field to change how the folder is displayed in the Projects window.</p>
<p>To create JUnit tests with the IDE, a project must have a test packages folder.
If the test packages folder for your project is missing or unavailable, you can create a new folder in your project and 
then use this pane to designate the new folder as the test packages folder.</p>

<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd><a href="../../project/proj_stand_about.html">About Standard Projects</a></dd>
    <dd> <a href="../proj_free_about.html">About Free-Form Projects</a> </dd>
    <dd><a href="../../junit/junit_creatingtests.html">Creating a JUnit Test</a> </dd>
    <dd>Free-Form Project Properties Dialog Box:</dd> 
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="nbdocs://org.netbeans.modules.web.helpset/org/netbeans/modules/web/helpset/docs/web/csh/dbox_projprops_freeform/WebLocationsPanel.html">Web 
          Sources</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sefree_props_classpath.html">Java Sources Classpath</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="nbdocs://org.netbeans.modules.web.helpset/org/netbeans/modules/web/helpset/docs/web/csh/dbox_projprops_freeform/WebClasspathPanel.html">Web 
          Sources Classpath</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sefree_props_buildrun.html">Build and Run</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sefree_props_output.html">Output</a></dd></dl>
<hr>
<small><a href="../../credits.html">Legal Notices</a></small> 
<table border="0" cellpadding="20">
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
</body>
</html>
